function out = DFN_For(varargin)

global Report
opt = Option(varargin,'n',100,'minl',0.05,'mu',0.3,'maxl',0.6,...               % default arguments
    'bbx',[0,0,1,1],'dim',2,'asep',0,'dsep',0,'mit',100,'scale',1,...
    'shape','c','q',24,'dip',45,'ddip',-1e-7,'dir',0,'ddir',-1e-7);
Ticot(sprintf('Generating %dD FNM [n = %d]',opt.dim,opt.n));                    % initializes timing

out.Orig = zeros(opt.n, 4);
out.Line = zeros(opt.n, 4);

eachLine = 1;
while eachLine <= opt.n
    lhs = 0.5*Rand(1,'fun','exp','mu',opt.mu,'ab',[opt.minl,opt.maxl]);         % half lengths~ Exp(mu) dist.
               
    pts = rand(1,2);                                                            % locations~ U(0,1)
    ags = Rand(1,'fun','f','mu',opt.dir,'k',-opt.ddir);                         % orientation, Fisher dist. 
    [dx,dy] = pol2cart(Convert('rad',ags),lhs);
    ols = [1.2*(pts(:,1)-dx),2*(pts(:,2)-dy),1.2*(pts(:,1)+dx),2*(pts(:,2)+dy)];                    % original lines
    
    if ~ThisLineIsCloserThanMinDistToOthers( ols, out.Orig(1:eachLine, :), opt.minDist )

        out.Orig(eachLine, :) = ols;
        clipResult = Clip(ols,opt.bbx);
        if size(clipResult,1) == 1 && size(clipResult,2) == 4
            out.Line(eachLine, :) = clipResult;                                               % clipped by region of study
            eachLine = eachLine + 1;
        else
            a = 1;
        end
    
    end
end

if Report                                                                   
    Display('Original Lines#',size(out.Orig,1),...                              % displays information
        'Clipped Lines#',size(out.Line,1));
end

Ticot;                                                                          % ends timing
