function [ ] = ExportXls( filename, resultSize, lines, bbox )

linesCount = size(lines, 1);
result = zeros(resultSize);

[bboxXmin, bboxYmin, bboxXmax, bboxYmax] = deal(bbox(1), bbox(2), bbox(3), bbox(4));
[resultSizeX, resultSizeY] = deal(resultSize(1), resultSize(2));

lines(:, [1,3]) = round((lines(:, [1,3]) - bboxXmin) .* ((resultSizeX - 1)/(bboxXmax - bboxXmin)) + 1);
lines(:, [2,4]) = round((lines(:, [2,4]) - bboxYmin) .* ((resultSizeY - 1)/(bboxYmax - bboxYmin)) + 1);


for eachLineInd = 1:linesCount
    [eachLineX0, eachLineY0, eachLineX1, eachLineY1] = deal(lines(eachLineInd, 1), lines(eachLineInd, 2), lines(eachLineInd, 3), lines(eachLineInd, 4));
    
    dBboxX = abs(eachLineX1 - eachLineX0) + 1;
    dBboxY = abs(eachLineY1 - eachLineY0) + 1;
    
    maxDBbox = max(dBboxX, dBboxY);
    
    betweenPointsX = round(linspace(eachLineX1, eachLineX0, maxDBbox));
    betweenPointsY = round(linspace(eachLineY1, eachLineY0, maxDBbox));
    
    for eachPoinstIndex = 1:maxDBbox
        result(betweenPointsX(eachPoinstIndex), betweenPointsY(eachPoinstIndex)) = 1;
        
         if (eachPoinstIndex > 1)
             stepDifX = betweenPointsX(eachPoinstIndex) - betweenPointsX(eachPoinstIndex-1);
             stepDifY = betweenPointsY(eachPoinstIndex) - betweenPointsY(eachPoinstIndex-1);
             
             if stepDifX * stepDifY ~= 0
                 if betweenPointsX(eachPoinstIndex-1) + stepDifX <= resultSizeX
                    result(betweenPointsX(eachPoinstIndex-1) + stepDifX, betweenPointsY(eachPoinstIndex-1)) = 1;
                 elseif betweenPointsY(eachPoinstIndex-1) + stepDifY <= resultSizeY
                    result(betweenPointsX(eachPoinstIndex-1), betweenPointsY(eachPoinstIndex-1) + stepDifY) = 1;
                 end
             end
         end
        
    end
end

result = rot90(result);

figure;
imagesc(result);

xlswrite(filename, result);

end

