function [ distanceMatrix ] = getDistanceMatrix( orderToShow, seed )

    [rowsCount, colsCount] = size(orderToShow);

    distanceMatrix = zeros(rowsCount, colsCount) - 1;
    nextDistTargets = seed;

    distCounter = 0;
    while length(nextDistTargets) > 0
        distanceMatrix(nextDistTargets(1, 1), nextDistTargets(1, 2)) = distCounter;

        for eachNeighbour = [0 1; 0 -1; 1 0; -1 0]'
            eachNeighbourIndex = nextDistTargets(1, :) + eachNeighbour';
            if all(eachNeighbourIndex > 0 & eachNeighbourIndex <= [rowsCount, colsCount])
                if orderToShow(eachNeighbourIndex(1), eachNeighbourIndex(2)) == -1 && distanceMatrix(eachNeighbourIndex(1), eachNeighbourIndex(2)) == -1
                    nextDistTargets = [nextDistTargets; eachNeighbourIndex];
                end
            end
        end

        nextDistTargets(1, :) = [];
        distCounter = distCounter + 1;
        
    end

end