function [ is, js, sortedLoops ] = getSortedLoopsBranches( order, distanceMatrix, sortedLoops )

[rowsCount, colsCount] = size(order);


ignoredIndexes = [];
for eachSortedLoopIndex = 1:length(sortedLoops)
    eachSortedLoop = sortedLoops{eachSortedLoopIndex};
    
    branches = [];
    distancesAndOrders = [];
    if any(order(sub2ind([rowsCount, colsCount], eachSortedLoop(:, 1), eachSortedLoop(:, 2))) == 0)
    
        for eachLoopStepIndex = 1:size(eachSortedLoop, 1)
            eachLoopStep = eachSortedLoop(eachLoopStepIndex, :);

            if thisStepIsValid(order, eachLoopStep, distanceMatrix)

                for eachNeighbourDirection = [0 1; 0 -1; 1 0; -1 0]'
                    eachLoopStepNeighbourIndex = eachLoopStep + eachNeighbourDirection';
                    if all(eachLoopStepNeighbourIndex > 0 & eachLoopStepNeighbourIndex <= [rowsCount, colsCount])

                        if order(eachLoopStepNeighbourIndex(1), eachLoopStepNeighbourIndex(2)) > 0
                            branches = [branches; eachLoopStepNeighbourIndex];

                            distancesAndOrders = [distancesAndOrders; ...
                                distanceMatrix(eachLoopStepNeighbourIndex(1), eachLoopStepNeighbourIndex(2))...
                                order(eachLoopStepNeighbourIndex(1), eachLoopStepNeighbourIndex(2))];
                        end

                    end
                end

            end

        end
    
    else
        ignoredIndexes(end+1) = eachSortedLoopIndex;
    end
    
    
    if length(branches) > 0
        break;
    end

end

if length(distancesAndOrders) == 0
    ehsan = 0;
end

[~, sortedByDistanceInd] = sort(distancesAndOrders(:, 1), 'descend');
[~, sortedByOrderInd] = sort(distancesAndOrders(sortedByDistanceInd, 2));
branches = branches(sortedByDistanceInd, :);
branches = branches(sortedByOrderInd, :);

is = branches(:, 1);
js = branches(:, 2);

if length(ignoredIndexes) > 0
    allIndexes = true(length(sortedLoops), 1);
    allIndexes(ignoredIndexes) = false;
    sortedLoops = sortedLoops(allIndexes);
end

end

