function [ result ] = thisStepIsValid( order, eachLoopStep, distanceMatrix )

[rowsCount, colsCount] = size(order);

neighboursIndex = [0 1; 0 -1; 1 0; -1 0] + repmat(eachLoopStep, [4, 1]);

validNeighboursIndex = neighboursIndex(sum(neighboursIndex > 0 & neighboursIndex <= repmat([rowsCount, colsCount], [4, 1]), 2) == 2, :);
sub2IndValidNeighbourIndex = sub2ind([rowsCount, colsCount], validNeighboursIndex(:, 1), validNeighboursIndex(:, 2));

neighboursOrder = order(sub2IndValidNeighbourIndex( distanceMatrix(sub2IndValidNeighbourIndex) > -1 ));

result = order(eachLoopStep(1), eachLoopStep(2)) == 0 && (sum(neighboursOrder == 0) <= 2);
end

